﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 98: ADJ RS-232 /5520A+SC600
DATE:                  2018-11-04 00:33:02
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 22117 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       662
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Service Manual: Fluke Automotive ScopeMeter 98, chapter 4
#        P/N: 4822 872 05364 @010695
#
#  Compatibilty:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-                        P                                     V

  1.002  IF           NOT(VERSIONCHECK("8.0"))
  1.003  END
  1.004  ENDIF

  1.005  CALL         Sub Display Copyright
  1.006  CALL         Sub High Voltage Safety Warning
  1.007  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232

# To enable adjustment, you have to apply the +12V programming voltage
  1.008  DISP         NOTE:
  1.008  DISP         Apply +12V programming voltage
  1.008  DISP         to the programming contacts
  1.008  DISP         in the battery compartment.

  1.009  CALL         Sub Fluke ScopeMeter Connection RS-232 /5520

# Setup RS232-communication
  1.010  PORT         [P1200,N,8,1,X][OTERM CR]

  1.011  CALL         Sub Fluke ScopeMeter Identification RS-232
  1.012  MATH         Model = "98"

  1.013  IF           NOT(ZCMP(@ModelNum, Model))
  1.014  DISP         UUT is [V @ModelNum] not a Fluke [V Model]!
  1.015  END
  1.016  ENDIF

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  DISP         [32]           IMPORTANT! PLEASE NOTE!!
  1.018  DISP
  1.018  DISP         Throughout this procedure, the UUT MUST be powered
  1.018  DISP         by the BC190 battery charger (the battery pack must
  1.018  DISP         be installed).
  1.019  DISP         Power up the Fluke ScopeMeter® Test Tool,
  1.019  DISP         ensuring a minimum warm-up time of 30 minutes has
  1.019  DISP         been allowed to elapse, prior to proceeding.

# Enable service mode, power can have been removed at opening the case
  1.020  MATH         @Cmd = "EX110,0"
  1.021  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.022  WAIT         [D200]
  1.023  MATH         @Cmd = "FLUKPHIL"
  1.024  CALL         Sub Fluke ScopeMeter Send Command RS-232

# Query Scopemeter Cal Fields ! Version 5 and above only
# returns Total Cal Fields, # Free
  1.025  MATH         @Cmd = "QN"
  1.026  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.027  PORT         [I$]
  1.028  MATH         MEM1 = FLD(MEM2, 2, ",")
# MEM1 contains the number of free spaces in the FlashROM (2, 1 or 0)
# If MEM1 = 0 then the MET/CAL procedure must be stopped
# and the ScopeMeter test tool must be refreshed first.
# If MEM1 = 1 or MEM1 = 2 then 1 or 2 places in FlashROM are free
# for storing calibration data, so program can continue.

# Not enough space: terminate adjustment procedure
  1.029  IF           MEM1 < 1
  1.030  DISP         Not enough space in FlashROM to store
  1.030  DISP         new calibration data,
  1.030  DISP         Calibration Adjustment Procedure terminated.
  1.030  DISP         First use the "REFRESH" software to
  1.030  DISP         refresh the ScopeMeter test tool.
  1.031  END
  1.032  ENDIF

# Check if any hardware repairs have been done: if not, you may skip
# step 1 up to 4
  1.033  OPBR         -z Have any components been replaced?
  1.033  OPBR         (Note: the hardware adjustments may be skipped unless
  1.033  OPBR         the Automotive ScopeMeter test tool has been repaired.
  1.033  OPBR         If adjustments S6, S7, S8 or S9 fail, also
  1.033  OPBR         restart the MET/CAL procedure and perform H1...H4.)

  1.034  IF           MEM1
  1.035  CALL         Sub Fluke 9x Hardware ADJ RS-232 /5520+SC600
  1.036  ENDIF

# Enable service mode, power can have been removed at opening the case
  1.037  MATH         @Cmd = "EX110,0"
  1.038  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.039  WAIT         [D100]
  1.040  MATH         @Cmd = "FLUKPHIL"
  1.041  CALL         Sub Fluke ScopeMeter Send Command RS-232

  1.042  HEAD         S5: OFFSET CORRECTION
  1.043  PIC          98_short
  1.044  HEAD         S5: OFFSET CORRECTION in progress...
  1.045  MATH         @CalStep = "EX100,5"
  1.046  DO
  1.047  PORT         [V @CalStep]
  1.048  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.049  UNTIL        NOT(@CalError) || @FatalError

  1.050  JMPL         ABORT                        @FatalError

  1.051  HEAD         M1: LINEARITY in progress...
  1.052  MATH         @CalStep = "EX101,1"

  1.053  DO
  1.054  PORT         [V @CalStep]
  1.055  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.056  UNTIL        NOT(@CalError) || @FatalError

  1.057  JMPL         ABORT                        @FatalError

  1.058  HEAD         M2: ZEROING THE RANGES in progress...
  1.059  MATH         @CalStep = "EX101,2"

  1.060  DO
  1.061  PORT         [V @CalStep]
  1.062  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.063  UNTIL        NOT(@CalError) || @FatalError

  1.064  JMPL         ABORT                        @FatalError

  1.065  HEAD         M10: ALL RANGES 0 Ohm ADJ in progress...
  1.066  MATH         @CalStep = "EX101,10"

  1.067  DO
  1.068  PORT         [V @CalStep]
  1.069  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.070  UNTIL        NOT(@CalError) || @FatalError

  1.071  JMPL         ABORT                        @FatalError

  1.072  HEAD         M3: OPEN CHANNEL A, 300mV RANGE ADJUSTMENT
  1.073  DISP         Remove all connections (all inputs open).

  1.074  HEAD         M3: OPEN CHANNEL A - Adj in progress...
  1.075  MATH         @CalStep = "EX101,3"

  1.076  DO
  1.077  PORT         [V @CalStep]
  1.078  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.079  UNTIL        NOT(@CalError) || @FatalError

  1.080  JMPL         ABORT                        @FatalError

  1.081  HEAD         S6: PULSE RESPONSE OF THE *1 ATTENUATOR
  1.082  PIC          52sc_9xab
  1.083  MATH         @Picture = "52sc_9xab"
  1.084  MATH         @CalStep = "EX100,6"

  1.085  DO
  1.086  5520         300mVpp                      1kH            ZQ S6 S
  1.087  PORT         [V @CalStep]
  1.088  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.089  UNTIL        NOT(@CalError) || @FatalError

  1.090  JMPL         ABORT                        @FatalError

  1.091  HEAD         S7: PULSE RESPONSE OF THE *10 ATTENUATOR
  1.092  MATH         @CalStep = "EX100,7"

  1.093  DO
  1.094  5520         3Vpp                         1kH            ZQ S6 S
  1.095  PORT         [V @CalStep]
  1.096  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.097  UNTIL        NOT(@CalError) || @FatalError

  1.098  JMPL         ABORT                        @FatalError

  1.099  HEAD         S8: PULSE RESPONSE OF THE *100 ATTENUATOR
  1.100  MATH         @CalStep = "EX100,8"

  1.101  DO
  1.102  5520         20Vpp                        1kH            ZQ S6 S
  1.103  PORT         [V @CalStep]
  1.104  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.105  UNTIL        NOT(@CalError) || @FatalError

  1.106  JMPL         ABORT                        @FatalError

  1.107  HEAD         S9: PULSE RESPONSE OF THE *1000 ATTENUATOR
  1.108  MATH         @CalStep = "EX100,9"

  1.109  DO
  1.110  5520         50Vpp                        1kH            ZQ S6 S
  1.111  PORT         [V @CalStep]
  1.112  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.113  UNTIL        NOT(@CalError) || @FatalError

  1.114  JMPL         ABORT                        @FatalError

  1.115  HEAD         S10: GAIN FOR 5mV
  1.116  MATH         @CalStep = "EX100,10"

  1.117  DO
  1.118  5520         20mVpp                       1kH            ZQ S6 S
  1.119  PORT         [V @CalStep]
  1.120  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.121  UNTIL        NOT(@CalError) || @FatalError

  1.122  JMPL         ABORT                        @FatalError

  1.123  HEAD         S11: GAIN FOR 10mV
  1.124  MATH         @CalStep = "EX100,11"

  1.125  DO
  1.126  5520         50mVpp                       1kH            ZQ S6 S
  1.127  PORT         [V @CalStep]
  1.128  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.129  UNTIL        NOT(@CalError) || @FatalError

  1.130  JMPL         ABORT                        @FatalError

  1.131  HEAD         S12: GAIN FOR 20mV
  1.132  MATH         @CalStep = "EX100,12"

  1.133  DO
  1.134  5520         100mVpp                      1kH            ZQ S6 S
  1.135  PORT         [V @CalStep]
  1.136  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.137  UNTIL        NOT(@CalError) || @FatalError

  1.138  JMPL         ABORT                        @FatalError

  1.139  HEAD         S13: GAIN FOR 50mV
  1.140  MATH         @CalStep = "EX100,13"

  1.141  DO
  1.142  5520         200mVpp                      1kH            ZQ S6 S
  1.143  PORT         [V @CalStep]
  1.144  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.145  UNTIL        NOT(@CalError) || @FatalError

  1.146  JMPL         ABORT                        @FatalError

  1.147  HEAD         S14: GAIN FOR 100mV
  1.148  MATH         @CalStep = "EX100,14"

  1.149  DO
  1.150  5520         500mVpp                      1kH            ZQ S6 S
  1.151  PORT         [V @CalStep]
  1.152  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.153  UNTIL        NOT(@CalError) || @FatalError

  1.154  JMPL         ABORT                        @FatalError

  1.155  HEAD         S15: GAIN FOR 200mV
  1.156  MATH         @CalStep = "EX100,15"

  1.157  DO
  1.158  5520         1Vpp                         1kH            ZQ S6 S
  1.159  PORT         [V @CalStep]
  1.160  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.161  UNTIL        NOT(@CalError) || @FatalError

  1.162  JMPL         ABORT                        @FatalError

  1.163  HEAD         S16: GAIN FOR 2V
  1.164  MATH         @CalStep = "EX100,16"

  1.165  DO
  1.166  5520         10Vpp                        1kH            ZQ S6 S
  1.167  PORT         [V @CalStep]
  1.168  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.169  UNTIL        NOT(@CalError) || @FatalError

  1.170  JMPL         ABORT                        @FatalError

  1.171  HEAD         S17: GAIN FOR 20V
  1.172  MATH         @CalStep = "EX100,17"

  1.173  DO
  1.174  5520         100Vpp                       1kH            ZQ S6 S
  1.175  PORT         [V @CalStep]
  1.176  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.177  UNTIL        NOT(@CalError) || @FatalError

  1.178  JMPL         ABORT                        @FatalError

  1.179  HEAD         S18: SHIFT GAIN *1 MODE ADJUSTMENT
  1.180  MATH         @CalStep = "EX100,18"

  1.181  DO
  1.182  5520         200mVpp                      1kH            ZQ S6 S
  1.183  PORT         [V @CalStep]
  1.184  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.185  UNTIL        NOT(@CalError) || @FatalError

  1.186  JMPL         ABORT                        @FatalError

  1.187  HEAD         S19: SHIFT GAIN /8 MODE adj in progress...
  1.188  MATH         @CalStep = "EX100,19"

  1.189  DO
  1.190  5520         20mVpp                       1kH            ZQ S6 S
  1.191  PORT         [V @CalStep]
  1.192  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.193  UNTIL        NOT(@CalError) || @FatalError

  1.194  JMPL         ABORT                        @FatalError

  1.195  HEAD         S20: CHANNEL A 50% TRIGGER LEVEL ADJUSTMENT
  1.196  MATH         @CalStep = "EX100,20"

  1.197  DO
  1.198  5520         0.707V                       10kH           SI S6 S
  1.199  PORT         [V @CalStep]
  1.200  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.201  UNTIL        NOT(@CalError) || @FatalError

  1.202  JMPL         ABORT                        @FatalError

  1.203  HEAD         S21: CHANNEL A 90% TRIGGER LEVEL ADJUSTMENT
  1.204  MATH         @CalStep = "EX100,21"

  1.205  DO
  1.206  5520         0.707V                       10kH           SI S6 S
  1.207  PORT         [V @CalStep]
  1.208  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.209  UNTIL        NOT(@CalError) || @FatalError

  1.210  JMPL         ABORT                        @FatalError

  1.211  HEAD         S22: CHANNEL B 50% TRIGGER LEVEL ADJUSTMENT
  1.212  MATH         @CalStep = "EX100,22"

  1.213  DO
  1.214  5520         0.707V                       10kH           SI S6 S
  1.215  PORT         [V @CalStep]
  1.216  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.217  UNTIL        NOT(@CalError) || @FatalError

  1.218  JMPL         ABORT                        @FatalError

  1.219  HEAD         S23: CHANNEL B 90% TRIGGER LEVEL ADJUSTMENT
  1.220  MATH         @CalStep = "EX100,23"

  1.221  DO
  1.222  5520         0.707V                       10kH           SI S6 S
  1.223  PORT         [V @CalStep]
  1.224  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.225  UNTIL        NOT(@CalError) || @FatalError

  1.226  JMPL         ABORT                        @FatalError
  1.227  5520         *                                                 S

  1.228  HEAD         S24: EXTERNAL TRIGGERING ADJUSTMENT
  1.229  PIC          52sc_98at
  1.230  MATH         @Picture = "52sc_98at"
  1.231  MATH         @CalStep = "EX100,24"

  1.232  DO
  1.233  5520         0.707V                       10kH           SI S6 S
  1.234  PORT         [V @CalStep]
  1.235  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.236  UNTIL        NOT(@CalError) || @FatalError

  1.237  JMPL         ABORT                        @FatalError
  1.238  5520         *                                                 S

  1.239  HEAD         M4: CHANNEL A, 300mV RANGE GAIN ADJUSTMENT
  1.240  PIC          52_98a
  1.241  MATH         @Picture = "52_98a"
  1.242  MATH         @CalStep = "EX101,4"

  1.243  DO
  1.244  5520         300mV                                             S  2W
  1.245  PORT         [V @CalStep]
  1.246  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.247  UNTIL        NOT(@CalError) || @FatalError

  1.248  JMPL         ABORT                        @FatalError

  1.249  HEAD         M23: CHANNEL A, 1V GAIN ADJUSTMENT
  1.250  MATH         @CalStep = "EX101,23"

  1.251  DO
  1.252  5520         1V                                                S  2W
  1.253  PORT         [V @CalStep]
  1.254  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.255  UNTIL        NOT(@CalError) || @FatalError

  1.256  JMPL         ABORT                        @FatalError

  1.257  HEAD         M5: CHANNEL A, 3V RANGE GAIN ADJUSTMENT
  1.258  MATH         @CalStep = "EX101,5"

  1.259  DO
  1.260  5520         3V                                                S  2W
  1.261  PORT         [V @CalStep]
  1.262  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.263  UNTIL        NOT(@CalError) || @FatalError

  1.264  JMPL         ABORT                        @FatalError

  1.265  HEAD         M6: CHANNEL A, 30V RANGE GAIN ADJUSTMENT
  1.266  MATH         @CalStep = "EX101,6"

  1.267  DO
  1.268  5520         30V                                               S  2W
  1.269  PORT         [V @CalStep]
  1.270  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.271  UNTIL        NOT(@CalError) || @FatalError

  1.272  JMPL         ABORT                        @FatalError

  1.273  HEAD         M24: CHANNEL A, 100V GAIN ADJUSTMENT
  1.274  MATH         @CalStep = "EX101,24"

  1.275  DO
  1.276  5520         100V                                              S  2W
  1.277  PORT         [V @CalStep]
  1.278  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.279  UNTIL        NOT(@CalError) || @FatalError

  1.280  JMPL         ABORT                        @FatalError

  1.281  HEAD         M7: CHANNEL A, 300V RANGE GAIN ADJUSTMENT
  1.282  MATH         @CalStep = "EX101,7"

  1.283  DO
  1.284  5520         300V                                              S  2W
  1.285  PORT         [V @CalStep]
  1.286  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.287  UNTIL        NOT(@CalError) || @FatalError

  1.288  JMPL         ABORT                        @FatalError

  1.289  HEAD         M11: ADJUSTMENT OF THE 300 Ohm RANGE
  1.290  MATH         @CalStep = "EX101,11"

  1.291  DO
  1.292  5520         100Z                                              S  2W
  1.293  PORT         [V @CalStep]
  1.294  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.295  UNTIL        NOT(@CalError) || @FatalError

  1.296  JMPL         ABORT                        @FatalError

  1.297  HEAD         M12: ADJUSTMENT OF THE 3 kOhm RANGE
  1.298  MATH         @CalStep = "EX101,12"

  1.299  DO
  1.300  5520         1kZ                                               S  2W
  1.301  PORT         [V @CalStep]
  1.302  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.303  UNTIL        NOT(@CalError) || @FatalError

  1.304  JMPL         ABORT                        @FatalError

  1.305  HEAD         M13: ADJUSTMENT OF THE 30 kOhm RANGE
  1.306  MATH         @CalStep = "EX101,13"

  1.307  DO
  1.308  5520         10kZ                                              S  2W
  1.309  PORT         [V @CalStep]
  1.310  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.311  UNTIL        NOT(@CalError) || @FatalError

  1.312  JMPL         ABORT                        @FatalError

  1.313  HEAD         M14: ADJUSTMENT OF THE 300 kOhm RANGE
  1.314  MATH         @CalStep = "EX101,14"

  1.315  DO
  1.316  5520         100kZ                                             S  2W
  1.317  PORT         [V @CalStep]
  1.318  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.319  UNTIL        NOT(@CalError) || @FatalError

  1.320  JMPL         ABORT                        @FatalError

  1.321  HEAD         M15: ADJUSTMENT OF THE 3 MOhm RANGE
  1.322  MATH         @CalStep = "EX101,15"

  1.323  DO
  1.324  5520         1MZ                                               S  2W
  1.325  PORT         [V @CalStep]
  1.326  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.327  UNTIL        NOT(@CalError) || @FatalError

  1.328  JMPL         ABORT                        @FatalError

  1.329  HEAD         M16: ADJUSTMENT OF THE 30 MOhm RANGE
  1.330  MATH         @CalStep = "EX101,16"

  1.331  DO
  1.332  5520         10MZ                                              S  2W
  1.333  PORT         [V @CalStep]
  1.334  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.335  UNTIL        NOT(@CalError) || @FatalError

  1.336  JMPL         ABORT                        @FatalError
  1.337  5520         *                                                 S

  1.338  HEAD         M8: EXTERNAL INPUT, 300 mV RANGE, GAIN ADJUSTMENT
  1.339  PIC          52_98t
  1.340  MATH         @Picture = "52_98t"
  1.341  MATH         @CalStep = "EX101,8"

  1.342  DO
  1.343  5520         300mV                                             S  2W
  1.344  PORT         [V @CalStep]
  1.345  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.346  UNTIL        NOT(@CalError) || @FatalError

  1.347  JMPL         ABORT                        @FatalError

  1.348  HEAD         M9: EXTERNAL INPUT, 3 V RANGE, GAIN ADJUSTMENT
  1.349  MATH         @CalStep = "EX101,9"

  1.350  DO
  1.351  5520         3V                                                S  2W
  1.352  PORT         [V @CalStep]
  1.353  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.354  UNTIL        NOT(@CalError) || @FatalError

  1.355  JMPL         ABORT                        @FatalError
  1.356  5520         *                                                 S

  1.357  HEAD         M21: ADJUSTMENT FOR CHANNEL A 1:1 PROBE
  1.358  PIC          98_c1a
  1.359  MATH         @Picture = "98_c1a"
  1.360  MATH         @CalStep = "EX101,21"

  1.361  DO
  1.362  5520         100Z                                              S  2W
  1.363  PORT         [V @CalStep]
  1.364  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.365  UNTIL        NOT(@CalError) || @FatalError

  1.366  JMPL         ABORT                        @FatalError

  1.367  HEAD         M17: VOLTAGE RAMP ADJUSTMENT
  1.368  MATH         @CalStep = "EX101,17"

  1.369  DO
  1.370  5520         100Z                                              S  2W
  1.371  PORT         [V @CalStep]
  1.372  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.373  UNTIL        NOT(@CalError) || @FatalError

  1.374  JMPL         ABORT                        @FatalError
  1.375  5520         *                                                 S

  1.376  HEAD         M22: ADJUSTMENT FOR CHANNEL B 1:1 PROBE
  1.377  PIC          98_c1b
  1.378  MATH         @Picture = "98_c1b"
  1.379  MATH         @CalStep = "EX101,22"

  1.380  DO
  1.381  5520         100Z                                              S  2W
  1.382  PORT         [V @CalStep]
  1.383  CALL         Sub Fluke 98 Cal Adjust Error RS-232 /5520
  1.384  UNTIL        NOT(@CalError) || @FatalError

  1.385  JMPL         ABORT                        @FatalError

  1.386  DISP         Remove all connections.
  1.387  DISP         Transfer control to the CALstore program.
  1.387  DISP
  1.387  DISP         Be sure that the +12V programming voltage is present
  1.387  DISP         and the interface cable is correctly fitted!

# Enable the SERVICE-mode of the ScopeMeter test tool.
  1.388  MATH         @Cmd = "EX110,0"
  1.389  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.390  WAIT         [D200]
  1.391  MATH         @Cmd = "FLUKPHIL"
  1.392  CALL         Sub Fluke ScopeMeter Send Command RS-232

# Store the CAL DATA
  1.393  PORT         EX999[I]

# If MEM = 0, then everything was OK.
# If MEM = 1, then an error has occured.
  1.394  IF           MEM > 0
  1.395  DISP         An error has occured during execution of CAL STORE
  1.395  DISP         The calibration data is not stored in FlasROM!
  1.396  END
  1.397  ENDIF

# Disable the SERVICE-mode of the Automotive ScopeMeter test tool
  1.398  MATH         @Cmd = "EX111,0"
  1.399  CALL         Sub Fluke ScopeMeter Send Command RS-232

  1.400  DISP         Calibration Adjustment Procedure finished.
  1.400  DISP
  1.400  DISP         First remove the +12V programming voltage, and then
  1.400  DISP         restart the Automotive ScopeMeter test tool
  1.400  DISP         using a MASTER RESET <POWER><F5>.

  1.401  CALL         Sub Fluke ScopeMeter Reset Instrument RS-232

# Enable the SERVICE-mode of the ScopeMeter test tool.
  1.402  MATH         @Cmd = "EX110,0"
  1.403  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.404  WAIT         [D200]
  1.405  MATH         @Cmd = "FLUKPHIL"
  1.406  CALL         Sub Fluke ScopeMeter Send Command RS-232

# Query Scopemeter Cal Fields
# returns Total Cal Fields, # Free
  1.407  MATH         @Cmd = "QN"
  1.408  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.409  PORT         [I$]

  1.410  MATH         MEM1 = FLD(MEM2, 2, ",")

# MEM1 contains the number of free spaces in the FlashROM (2, 1 or 0)
# If MEM1 = 0 then the MET/CAL procedure must be stopped
# and the Automotive ScopeMeter test tool must be refreshed first.
# If MEM1 = 1 or MEM1 = 2 then 1 or 2 places in FlashROM are free
# for storing calibration data, so program can continue.
  1.411  IF           MEM1 > 0
  1.412  DISP         After this adjustment, there is still space for [MEM1]
  1.412  DISP         adjustments. "Refresh" not necessary.
  1.413  ELSE
  1.414  DISP         After this adjustment, all calibration tables
  1.414  DISP         in FlashROM are filled. "Refresh" recommended!
  1.415  ENDIF

  1.416  JMPL         END

  1.417  LABEL        ABORT
  1.418  DISP         C A L I B R A T I O N   A B O R T E D

  1.419  LABEL        END
  1.420  END
