﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 98 Cal Adjust Error RS-232 /5520
DATE:                  2008-06-13 15:06:16
AUTHOR:                Fluke
REVISION:              $Revision: 22117 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       105
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models covered:
#        98 Automotive ScopeMeter®
#
#  Compatibilty:
#        MET/CAL 8.0 and later
#
# Subprocedures:
#        None
#
# Required Files:
#        52_98a.bmp
#        52_98t.bmp
#        52sc_98ab.bmp
#        52sc_98at.bmp
#        52sc_98al.bmp
#        98_c1a.bmp
#        98_c1b.bmp
#        98_short.bmp
#        9x_a2pcb.bmp
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Based on the acknowledge response sent by the Test Tool, this procedure
# identifies the error for presentation to the operator.

# Initialize variables.
  1.001  MATH         @CalError = 0; @FatalError = 0
# Read UUT acknowledge response from output buffer for status.
  1.002  PORT         [I]
  1.003  MATH         @CalError = MEM

# If errors occurred, query for cal step number and error information.
  1.004  IF           @CalError
  1.005  5520         *                                                 S
  1.006  OPBR         -z Cal Error [V @CalError] occurred at [V @CalStep]!
  1.006  OPBR
  1.006  OPBR         Check calibrator, cables, etc.
  1.006  OPBR
  1.006  OPBR         Do you want to review the connection picture?

  1.007  IF           MEM1

  1.008  IF           ZCMPI(@Picture, "52_98a")
  1.009  PIC          52_98a
  1.010  ELSEIF       ZCMPI(@Picture, "52_98t")
  1.011  PIC          52_98t
  1.012  ELSEIF       ZCMPI(@Picture, "52sc_98ab")
  1.013  PIC          52sc_98ab
  1.014  ELSEIF       ZCMPI(@Picture, "52sc_98al")
  1.015  PIC          52sc_98al
  1.016  ELSEIF       ZCMPI(@Picture, "52sc_98at")
  1.017  PIC          52sc_98at
  1.018  ELSEIF       ZCMPI(@Picture, "98_c1a")
  1.019  PIC          98_c1a
  1.020  ELSEIF       ZCMPI(@Picture, "98_c1b")
  1.021  PIC          98_c1b
  1.022  ELSEIF       ZCMPI(@Picture, "98_short")
  1.023  PIC          98_short
  1.024  ELSEIF       ZCMPI(@Picture, "9x_a2pcb")
  1.025  PIC          9x_a2pcb
  1.026  ELSE
  1.027  DISP         Procedure Error: Unidentified picture!
  1.027  DISP         [V @Picture]
  1.028  END
  1.029  ENDIF

  1.030  ENDIF

  1.031  OPBR         -z Do you wish to repeat [V @CalStep]?
  1.032  MATH         @FatalError = NOT(MEM1)
  1.033  ENDIF

  1.034  END
