﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke ScopeMeter Connection RS-232 /5520
DATE:                  2004-12-01
AUTHOR:                Fluke
REVISION:              $Revision: 22074 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       69
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Models covered:
#        Fluke 192(B), 196(B,C), 199(B,C) ScopeMeter®
#
# Compatibility:
#        MET/CAL or 5500/CAL 7.01 or later
#
#  Subprocedures:
#        None
#
# Required Files:
#        None
#
# Required Equipment:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Global String Variables:
#        S[11] - Serial port used
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         S[11] = INI("startup", "port")
  1.002  MATH         MEM1 = ZCMPI(S[11], "COM5500")
  1.003  MATH         MEM1 = MEM1 || ZCMPI(S[11], "COM5800")
  1.004  MATH         MEM1 = MEM1 || ZCMPI(S[11], "COM5820")

  1.005  IF           MEM1
  1.006  DISP         Unsupported UUT communication port specified: [S11]
  1.006  DISP
  1.006  DISP         Select "Terminate" and perform the following:
  1.006  DISP         - From the menu bar, select
  1.006  DISP         [32] "Configure"=>"Default Serial Port"
  1.006  DISP         - Select "COM1", "COM2", "COM3", "COM4", or "COM5520".
  1.007  END
  1.008  ENDIF

  1.009  IF           ZCMPI(S[11], "COM5520")
  1.010  DISP         Connect the UUT to port labeled "Serial 2 to UUT" on
  1.010  DISP         on rear panel of 5520A, using the PM 9080 Optically
  1.010  DISP         Isolated Interface Cable and and Fluke Adapter Kit,
  1.010  DISP         Part No. 689486.
  1.010  DISP
  1.010  DISP         The adapter kit includes a DB9 female to DB9 female
  1.010  DISP         null modem and a DB9 male to DB9 male gender changer.
  1.011  ELSE
  1.012  DISP         Connect the UUT to [S11] using the PM 9080 Optically
  1.012  DISP         Isolated Interface Cable.
  1.013  ENDIF

  1.014  END
